Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.widget
Interface TabWidget

All Superinterfaces:
  Disposable, Plugin, Selectable, Widget

All Known Implementing Classes:
  AbstractTabWidget, ClsesAndInstancesTab, ClsesTab, FormsTab, InstancesTab, KAToolTab, ProtegePropertiesTab, SlotsTab, UglyTabWidget

    public interface TabWidget

extends Widget

Basic interface for all tab widgets.

Author:
  Ray Fergerson

Method Summary
`boolean` | `canClose()` Called when the user attempts to close a project.
`boolean` | `canSave()` Called when the user attempts to save a project.
`void` | `close()` Called when the user attempts to close a project and all tabs return 'true' from their #canClose() methods.
`Icon` | `getIcon()`
`Collection` | `getSelectedInstances()`
`String` | `getShortDescription()`
`void` | `save()` Called when the user attempts to save a project and all tabs return 'true' from their #canSave() methods.
`void` | `setup(WidgetDescriptor descriptor, Project project)`
`void` | `synchronizeClsTree(Collection clsPath)`
`void` | `synchronizeToInstances(Collection instances)`

Methods inherited from interface edu.stanford.smi.protege.widget.Widget
`configure, getDescriptor, getKnowledgeBase, getLabel, getProject, initialize, setLabel`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### canClose

    boolean canClose()

  Called when the user attempts to close a project. Return 'true' you tab is in such a state that a close is possible. If for some reason you must prevent a close then you must pop up a dialog letting the user know why the close is not allowed. You should then return 'false'. Most tabs will always return true.

### canSave

    boolean canSave()

  Called when the user attempts to save a project. Return 'true' you tab is in such a state that a save is possible. If for some reason you must prevent a save then you must pop up a dialog letting the user know why the save is not allowed. You should then return 'false'. Most tabs will always return true.

### close

    void close()

  Called when the user attempts to close a project and all tabs return 'true' from their #canClose() methods. Do any tab specific close operations in this method. Most tabs will do nothing.

### getIcon

    Icon getIcon()

### getShortDescription

    String getShortDescription()

### save

    void save()

  Called when the user attempts to save a project and all tabs return 'true' from their #canSave() methods. Do any tab specific save operations in this method. Most tabs will do nothing.

### setup

    void setup(WidgetDescriptor descriptor,
               Project project)

### synchronizeClsTree

    void synchronizeClsTree(Collection clsPath)

### synchronizeToInstances

    void synchronizeToInstances(Collection instances)

### getSelectedInstances

    Collection getSelectedInstances()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.